# $Revision: 1.49 $, $Date: 2012/03/13 09:07:40 $
#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with		capng		# build with libpcap-ng
%bcond_with		systemd		# with systemd units
%else
%bcond_without	capng		# build without libpcap-ng
%bcond_without	systemd		# without systemd units
%endif

%if %{without systemd}
%define	systemd_post() %{nil}
%define	systemd_preun() %{nil}
%define	systemd_reload() %{nil}
%define	systemd_trigger() %{nil}
%endif

Summary:	S.M.A.R.T. control and monitoring of ATA/SCSI harddisks
Summary(cs.UTF-8):	smartmontools - pro monitorování S.M.A.R.T. disků a zařízení
Summary(de.UTF-8):	smartmontools - zur Überwachung von S.M.A.R.T.-Platten und-Geräten
Summary(es.UTF-8):	smartmontools - para el seguimiento de discos y dispositivos S.M.A.R.T.
Summary(fr.UTF-8):	smartmontools - pour le suivi des disques et instruments S.M.A.R.T.
Summary(it.UTF-8):	smartmontools - per monitare dischi e dispositivi S.M.A.R.T.
Summary(pl.UTF-8):	Monitorowanie i kontrola dysków za pomocą S.M.A.R.T
Summary(pt.UTF-8):	smartmontools - para monitorar discos e dispositivos S.M.A.R.T.
Name:		smartmontools
Version:	5.42
Release:	6
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/smartmontools/%{name}-%{version}.tar.gz
# Source0-md5:	4460bf9a79a1252ff5c00ba52cf76b2a
Source1:	%{name}.init
Source2:	smartd.upstart
Source3:	smartd.service
URL:		http://smartmontools.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_capng:BuildRequires:	libcap-ng-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.626
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
%{?with_systemd:Requires:	systemd-units >= 37-0.10}
Obsoletes:	smartctl
Obsoletes:	smartmontools-systemd
Obsoletes:	smartsuite
Obsoletes:	ucsc-smartsuite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The smartmontools package contains tools to control and monitor
storage systems using the Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) built into most modern ATA and SCSI
hard disks. This is used to check the reliability of the hard drive
and to predict drive failures. The suite is derived from the
smartsuite package, and contains two utilities. The first, smartctl,
is a command line utility designed to perform simple S.M.A.R.T. tasks.
The second, smartd, is a daemon that periodically monitors S.M.A.R.T.
status and reports errors to syslog. Currently this package includes
support for ATA/ATAPI-5 disks. It's intended to incorporate as much
"vendor specific" and "reserved" information as possible about disk
drives.

%description -l cs.UTF-8
smartmontools řídí a monitorují zařízení pro ukládání dat za použití
technologie automatického monitorování, analýzy a hlášení
(Self-Monitoring, Analysis and Reporting Technology System -
S.M.A.R.T.) vestavěného do pevných disků ATA a SCSI. Používá se ke
kontrole použitelnosti pevného disku a předvídání havárií disků.
Nástroje jsou odvozeny od balíčku smartsuite a obsahují dva programy.
První, smartctl, je nástroj pro provádění jednoduchých S.M.A.R.T. úloh
na příkazové řádce. Druhý, smartd, je démon, který periodicky
monitoruje stav a hlásí chyby do systémového protokolu. Balíček je
kompatibilní se specifikací ATA/ATAPI-5. Balíček je navržen tak, aby
pokryl co nejvíce položek s informacemi "závislé na výrobci" a
"rezervováno".

%description -l de.UTF-8
Die smartmontools steuern und überwachen Speichergeräte mittels des
S.M.A.R.T.-Systems (Self-Monitoring, Analysis and Reporting
Technology, Technologie zur Selbst-Überwachung, Analyse und
Berichterstellung), das in ATA- und SCSI-Festplatten eingesetzt wird.
Sie werden benutzt, um die Zuverlässigkeit der Festplatte zu prüfen
und Plattenfehler vorherzusagen. Die Suite wurde vom smartsuite-Paket
abgeleitet und enthält zwei Dienstprogramme. Das erste, smartctl, ist
ein Kommandozeilentool, das einfache S.M.A.R.T. Aufgaben ausführt. Das
zweite, smartd, ist ein Daemon, der periodisch den S.M.A.R.T.-Status
überwacht und Fehler ins Syslog protokolliert. Das Paket ist zur
ATA/ATAPI-5 Spezifikation kompatibel. Das Paket versucht, so viele
"herstellerspezifische" und "reservierte" Information über
Plattenlaufwerke wie möglich bereitzustellen.

%description -l es.UTF-8
smartmontools controla y hace el seguimiento de dispositivos de
almacenamiento usando el Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) incorporado en discos duros ATA y SCSI.
Es usado para asegurar la fiabilidad de discos duros y predecir
averias. El conjunto de programas proviene del conjunto smartsuite y
contiene dos utilidades. La primera, smartctl, es una utilidad
command-line hecha para hacer operaciones S.M.A.R.T. sencillas. La
segunda, smartd, es un programa que periodicamente chequea el estatus
smart e informa de errores a syslog. Estos programas son compatibles
con el sistema ATA/ATAPI-5. Este conjunto de programas tiene el
proposito de incorporar la mayor cantidad posible de informacion
reservada y especifica de discos duros.

%description -l fr.UTF-8
smartmontools contrôle et fait le suivi de périphériques de stockage
utilisant le système Self-Monitoring, Analysis and Reporting
Technology (S.M.A.R.T) intégré dans les disques durs ATA et SCSI. Ce
système est utilisé pour vérifier la fiabilité du disque dur et
prédire les défaillances du lecteur. La suite logicielle dérive du
paquet smartsuite et contient deux utilitaires. Le premier, smartctl,
fonctionne en ligne de commande et permet de réaliser des tâches
S.M.A.R.T. simples. Le second, smartd, est un démon qui fait
périodiquement le suivi du statut smart et transmet les erreurs au
syslog. Ce paquet est compatible avec la spécification ATA/ATAPI-5. Ce
paquet tente d'incorporer le plus d'informations possible sur les
disques durs qu'elles soient spécifiques au constructeur ("vendor
specific") ou réservées ("reserved").

%description -l it.UTF-8
smartmontools controlla e monitora dischi che usano il
"Self-Monitoring, Analysis and Reporting Technology System"
(S.M.A.R.T.), in hard drive ATA e SCSI. Esso è usato per controllare
l'affidabilità dei drive e predire i guasti. La suite è derivata dal
package smartsuite e contiene due utility. La prima, smartctl, è una
utility a linea di comando progettata per eseguire semplici task
S.M.A.R.T.. La seconda, smartd, è un daemon che periodicamente
monitora lo stato di smart e riporta errori al syslog. Il package è
compatibile con le specifiche ATA/ATAPI-5. Il package vuole
incorporare tutte le possibili informazioni riservate e "vendor
specific" sui dischi.

%description -l pl.UTF-8
Pakiet smartmontools zawiera narzędzia do sterowania i monitorowania
systemami przechowywania danych za pomocą S.M.A.R.T (Self-Monitoring,
Analysis and Reporting Technology) - systemu wbudowanego w większość
nowych dysków ATA oraz SCSI. Ma to na celu sprawdzanie wiarygodności
twardego dysku i przewidywanie jego awarii. Pakiet pochodzi od
oprogramowania smartsuite i zawiera dwa narzędzia. Pierwsze, smartctl,
to program działający z linii poleceń stworzony do wykonywania
prostych zadań S.M.A.R.T.. Drugie, smartd, to demon okresowo
monitorujący stan S.M.A.R.T. i raportujący błędy poprzez sysloga.
Aktualnie pakiet wspiera dyski ATA/ATAPI-5. Pakiet ma na celu
włączenie obsługi jak największej ilości informacji specyficznych dla
producenta oraz "zarezerwowanych".

%description -l pt.UTF-8
smartmontools controla e monitora dispositivos de armazenamento
utilizando o recurso Self-Monitoring, Analysis and Reporting
Technology System (S.M.A.R.T.) integrado nos discos rígidos ATA e
SCSI, cuja finalidade é verificar a confiabilidade do disco rígido e
prever falhas da unidade. A suite é derivada do pacote smartsuite, e
contém dois utilitários. O primeiro, smartctl, é um utilitário de
linha de comando projetado para executar tarefas simples de S.M.A.R.T.
O segundo, smartd, é um daemon que monitora periodicamente estados do
smart e reporta erros para o syslog. O pacote é compatível com a
especificação ATA/ATAPI-5. O pacote pretende incorporar o maior número
possível de informações "específicas do fabricante" e "reservadas"
sobre unidades de disco.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_capng:--with-libcap-ng=yes}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	docs_DATA= \
	examplesdir=%{_examplesdir}/%{name}-%{version} \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,init},/lib/systemd/system}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smartd
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/init/smartd.conf
cp -p %{SOURCE3} $RPM_BUILD_ROOT/lib/systemd/system

sed -e 's,^/dev/,#&,' smartd.conf > $RPM_BUILD_ROOT%{_sysconfdir}/smartd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
%service smartd restart
%systemd_post smartd.service

%preun
if [ "$1" = "0" ]; then
	%service smartd stop
	/sbin/chkconfig --del smartd
fi
%systemd_preun smartd.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 5.42-5
%systemd_trigger smartd.service

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG NEWS README TODO WARNINGS
%attr(754,root,root) /etc/rc.d/init.d/smartd
%config(noreplace) %verify(not md5 mtime size) /etc/init/smartd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smartd.conf
%attr(755,root,root) %{_sbindir}/smartctl
%attr(755,root,root) %{_sbindir}/smartd
%attr(755,root,root) %{_sbindir}/update-smart-drivedb
/lib/systemd/system/smartd.service
%{_datadir}/smartmontools
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man5/smartd.conf.5*
%{_mandir}/man8/smartctl.8*
%{_mandir}/man8/smartd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smartmontools.spec,v $
Revision 1.49  2012/03/13 09:07:40  glen
- package examples, systemd, capng bcond

Revision 1.48  2012/02/27 06:35:22  wiget
- fix c&p bug in %triggerpostun
- rel. 5

Revision 1.47  2012/02/22 20:46:51  arekm
- release 4

Revision 1.46  2012/02/14 17:07:56  baggins
- rel 3
- systemd support moved to main package

Revision 1.45  2011/12/02 19:55:19  cactus
- rel 2; systemd support

Revision 1.44  2011/10/25 17:49:33  qboosh
- updated to 5.42

Revision 1.43  2011/06/11 14:24:31  qboosh
- changelog typo

Revision 1.42  2011/06/11 14:12:11  qboosh
- updated to 5.41

Revision 1.41  2011/04/08 18:48:28  glen
- install upstart config

Revision 1.40  2011/01/27 22:58:40  glen
- upstart hook

Revision 1.39  2010/10/17 10:28:32  charles
- enabled libcap-ng support; BR: libcap-ng-devel

Revision 1.38  2010/10/17 08:59:25  arekm
- up to 5.40

Revision 1.37  2010/03/22 17:17:00  zawadaa
- up to 5.39.1
- STBR

Revision 1.36  2009/12/20 19:21:46  adamg
- updated to 5.39

Revision 1.35  2009/05/23 21:45:51  glen
- verbose files

Revision 1.34  2008/03/17 23:16:26  areq
- 5.38

Revision 1.33  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.31  2006/12/27 11:04:10  qboosh
- BR: libstdc++-devel (C files have been renamed to .cpp)

Revision 1.30  2006/12/21 06:04:46  shadzik
- 5.37

Revision 1.29  2006/04/22 19:17:51  qboosh
- updated to 5.36

Revision 1.28  2006/03/13 23:14:32  glen
- use %service

Revision 1.27  2005/06/02 13:34:39  qboosh
- sorted verify() flags, use ascii space

Revision 1.26  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.25  2004/09/14 12:06:45  wrobell
- ver. 5.33

Revision 1.24  2004/07/13 11:04:47  ankry
- cosmetics

Revision 1.23  2004/07/06 20:56:44  qboosh
- updated to 5.32

Revision 1.22  2004/05/06 12:09:29  adamg
- updated to 5.31

Revision 1.21  2004/03/06 23:42:39  adamg
- updated to 5.30

Revision 1.20  2004/02/24 11:43:21  adamg
- updated to 5.29

Revision 1.19  2003/12/14 21:59:46  qboosh
- updated to 5.26
- more translations and enhanced en from spec supplied in package
- enhanced pl basing on new en description

Revision 1.18  2003/10/28 23:18:44  adamg
- updated to 5.22

Revision 1.17  2003/10/15 08:50:34  adamg
- updated to 5.21

Revision 1.16  2003/10/12 01:14:31  qboosh
- simplified - CC and CFLAGS are passed through configure now

Revision 1.15  2003/10/05 20:42:29  adamg
- updated to 5.20

Revision 1.14  2003/10/03 22:08:03  adamg
- BR: autoconf, automake

Revision 1.13  2003/10/03 22:05:55  adamg
- updated to 5.19
- make use of autothingies
- use configure, make install
- added smartd.conf(5) manpage

Revision 1.12  2003/08/06 12:02:57  qboosh
- better pl

Revision 1.11  2003/08/06 11:56:34  grzegol
- fixed typo in Summary(pl)

Revision 1.10  2003/08/06 11:36:22  adamg
- updated to 5.1-16

Revision 1.9  2003/07/18 20:24:32  wiget
- updated to 5.1-14

Revision 1.8  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:26:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/15 09:24:25  wiget
- updated to 5.1-9

Revision 1.5  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.4  2003/01/21 20:13:02  areq
- 5.1-4, STBR

Revision 1.3  2003/01/19 12:48:39  areq
- up to 5.1-1

Revision 1.2  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.1  2002/10/30 14:06:53  misiek
- initial pld release
